Subject: bug#2350: 23.0.90; compilation-mode inserts output in the wrong location

From: Richard M Stallman <[email-masked]>
Date: Wed, 18 Feb 2009 18:05:31 -0500

But what isn't clear is whether it's always the right thing to do: it's
    clear in this particular use of narrow, but there might be other uses of
    narrow in conjunction with compilation buffers where it would be the
    wrong thing to do.

While I cannot prove a priori that is impossible, I doubt it will
happen.  Where as this case -- user narrowing to exclude some of the
buffer from view -- is clearly going to happen (and not just in this
one case).

So let's make it do the right thing for this kind of narrowing.
If it isn't perfect, it is at least better.

Unless and until we come across a real case